package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.exam.query.MarkerSearchQuery;

public interface MarkerService {

    Marker save(Marker marker);

    Marker findById(Integer id);

    Marker findByLoginName(String loginName);

    List<Marker> findByExamAndSubjectAndGroup(int examId, String subjectCode, int groupNumber);

    long countByExam(int examId);

    int batchCreate(ExamSubject subject, int groupNumber, int count, String password);

    MarkerSearchQuery findByQuery(MarkerSearchQuery query);

    List<Marker> getMarkCount(int examId);

    long countByExamAndSubjectAndGroup(int examId, String subjectCode, int number);

    List<Marker> getMarkCount(int examId, String subjectCode);

    List<Marker> findMode(String commo);

    public List<Marker> findByStudentId(int studentId);

    public int batchSave(List<Marker> list);

    long countByLoginName(String loginName);

}
